Returns the list of events, filtered, sorted and paged according to query parameters.
A full list of events is found in section “Retrieve Event Types” (/api/v1/event/type).
This API endpoint deviates from the specified conventions and may not return the same HTTP Codes as the higher layer call (/api/v1/endpoint/{endpoint_id}).
In case the requested {endpoint_id} doesn’t exist or is not accessible for the user, HTTP 200 will be returned with empty [] as long as the provided {endpoint_id} is a number and all parameters are valid.
Please take that into consideration when building automation on top of the error behaviour of this endpoint.
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
The requested per_page parameter
If filtering is applied using ?q=field:criteria URL query parameters, the filter criteria is returned here
If sorting is applied using ?sort=sort_criteria URL query parameters, the sort criteria is returned here
Sort properties according to a comma separated list of accepted fields. Valid fields are:
id - (event id)timestamp - (event timestamp)source - (event source)severity - (event severity)alert - (alert status)organisation - (organisation name)user - (user id)endpoint - (endpoint name)tags - (endpoint tags)ip_address - (endpoint ip_address)iccid - (sim iccid)imsi - (sim imsi)type - (event type)Filter parameter in <filter>:<value> format.
Multiple filters must be a comma-separated list of the following fields:
from (date, format YYYY-MM-DDTHH:mm:ssZ, only valid with until)until (date, format YYYY-MM-DDTHH:mm:ssZ, only valid with from)type (event_type, numerical)source (event_type, numerical, e.g. 0 = Network), 1 = Policy Control, 2 = API)severity (event_severity, numerical, e.g. 0 = Info, 1 = Warn), 2 = Critical)alert (boolean, e.g. true, false)description (event description, string)organisation (organisation name, string)user (user name, string)endpoint (endpoint name, string)tags (endpoint tags, string)ip_address (endpoint IP address, valid IPv4/IPv6 address)imei (endpoint imei, numerical string)iccid (sim iccid, numerical string)imsi (sim imsi, numerical string)timestamp (date, format YYYY-MM-DDTHH:mm:ssZ, for querying events of 1 day, deprecated in future)iccid_with_luhn (sim iccid with Luhn, numerical string)network (endpoint network, string, e.g. Telekom)rat (event pdp context rat type, numerical string, e.g. 6)country (endpoint country, string, e.g. Germany)Some filters can accept up to 6 values which must be separated by the pipe symbol (|) or url-encoded as (%7C):
iccid (q: iccid:1234567890123456789|8988303000123456789)iccid_with_luhn (q: iccid_with_luhn:12345678901234567891|89883030001234567891)endpoint (q: endpoint:example_endpoint_name|another_endpoint_name)type (q: type:example_event_type|another_event_type)network (q: network:example_network|another_network)rat (q: rat:example_rat|another_rat)country (q: country:example_country|another_country)